<div class="view-container ${view.getViewType()?lower_case} ${srffilepath2(view.getCodeName())}<#if view.getPSSysCss?? && view.getPSSysCss()??> ${view.getPSSysCss().getCssName()}</#if>">
    <app-studioaction :viewTitle="$t(model.srfCaption)" viewName="${view.getCodeName()?lower_case}"></app-studioaction>
    <card class='view-card<#if !view.isShowCaptionBar()> view-no-caption</#if> <#if !view.hasPSControl('toolbar')> view-no-toolbar</#if>' :disHover="true" :bordered="false">

<#--  带数据信息标题  -->
<#if view.isShowCaptionBar() || view.hasPSControl('toolbar')>
<div slot='title' class="header-container">
  <#if view.isShowCaptionBar()>
    <#if view.getPSSysImage()??>
    <#assign viewimg = view.getPSSysImage()/>
    <#if viewimg.getImagePath() !=  ''>
    <span class='caption-image'><i class='${viewimg.getCssClass()}'></i></span>
    <#else>
    <span class='caption-image'><img src='${viewimg.getImagePath()}'/></span>
    </#if>
    </#if>
    <span class='caption-info'>{{$t(model.srfCaption)}}</span>
  </#if>
</div>
</#if>
<#--  BEGIN：视图顶部视图消息  -->
<@ibizindent blank=8>
<#ibizinclude>
../@MACRO/View_Pos_Top_Msgs.vue.ftl
</#ibizinclude>
</@ibizindent>
<#--  END：视图顶部视图消息  -->
        <div class="content-container">
<#--  BEGIN：视图内容区视图消息  -->
<@ibizindent blank=8>
<#ibizinclude>
../@MACRO/View_Pos_Body_Msgs.vue.ftl
</#ibizinclude>
</@ibizindent>
<#--  END：视图内容区视图消息  -->
<#if view.hasPSControl('form')>
<@ibizindent blank=8>
${P.getCtrlCode('form', 'CONTROL.html').code}
</@ibizindent>
</#if>
<#if view.hasPSControl('toolbar')>
      <@ibizindent blank=4>
      ${P.getCtrlCode('toolbar', 'CONTROL.html').code}<#t>
      </@ibizindent>
  </#if>
        </div>
<#--  BEGIN：视图底部视图消息  -->
<@ibizindent blank=8>
<#ibizinclude>
../@MACRO/View_Pos_Bottom_Msgs.vue.ftl
</#ibizinclude>
</@ibizindent>
<#--  END：视图底部视图消息  -->
    </card>
</div>